- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Gets the latest version of the specified document.
HTTP request
GET https://docs.googleapis.com/v1/documents/{documentId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
documentId |
The ID of the document to retrieve. |
Query parameters
| Parameters | |
|---|---|
suggestionsViewMode |
The suggestions view mode to apply to the document. This allows viewing the document with all suggestions inline, accepted or rejected. If one is not specified, |
includeTabsContent |
Whether to populate the
If you use a field mask that references the |
commentsViewMode |
The comments view mode to apply to the document. This allows viewing the document with comments omitted or included. If one is not specified, If you set If you set If you set |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Document.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/documentshttps://www.googleapis.com/auth/documents.readonlyhttps://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.readonlyhttps://www.googleapis.com/auth/drive.file
For more information, see the Authorization guide.